DH_INSTALLMODULES(1)

NOME
dh_installmodules - regista módulos de kernel

RESUMO
dh_installmodules [debhelper opções] [-n] [--name=nome]

DESCRIÇÃO
dh_installmodules é um programa debhelper que é responsável por registar módulos de kernel.

São procurados módulos de kernel no directório de compilação do pacote, e se encontrados, os comandos preinst, postinst e postrm são gerados automaticamente para correr o depmod e registar os módulos quando o pacote é instalado. Estes comandos são inseridos nos scripts do maintainer pelo dh_installdeb(1).

FICHEIROS

debian/pacote.modprobe
    Instalado em usr/lib/modprobe.d/pacote.conf no directório de compilação do pacote. Antes da versão de compatibilidade 14, os ficheiros eram instalados sob etc/modprobe.d em vez disto.

OPÇÕES

-n, --no-scripts
    Não modifique os scripts preinst/postinst/postrm.

--name=nome
    Quando este parâmetro é usado, dh_installmodules procura e instala ficheiros chamados debian/pacote.nome.modprobe em vez dos habituais debian/pacote.modprobe

NOTAS
Note que este comando não é idempotente. O dh_prep(1) deve ser chamado entre invocações deste comando. Caso contrário, pode causar múltiplas instâncias do mesmo texto a ser adicionado aos scripts do maintainer.

VEJA TAMBÉM
debhelper(7)

Este programa é parte do debhelper.

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro a_monteiro@gmx.com ou Equipa Debian de Tradução Portuguesa traduz@debianpt.org.